# APK Editor Studio

[![Build Status (GitHub Actions)](https://img.shields.io/github/actions/workflow/status/kefir500/apk-editor-studio/build.yml?branch=1.8.0)](https://github.com/kefir500/apk-editor-studio/actions/workflows/build.yml)
[![Latest Release](https://img.shields.io/github/release/kefir500/apk-editor-studio.svg?maxAge=86400)](https://github.com/kefir500/apk-editor-studio/releases/latest)
[![Download Count](https://img.shields.io/github/downloads/kefir500/apk-editor-studio/total?color=blue)](https://github.com/kefir500/apk-editor-studio/releases)
[![License](https://img.shields.io/github/license/kefir500/apk-editor-studio?color=blue)](https://raw.githubusercontent.com/kefir500/apk-editor-studio/master/LICENSE)
[![Donate via PayPal](https://img.shields.io/badge/donate-PayPal-orange.svg?logo=paypal)](https://paypal.me/kefir500)
[![Become a Patron](https://img.shields.io/badge/donate-Patreon-orange.svg?logo=patreon)](https://www.patreon.com/kefir500)

**APK Editor Studio** is a powerful yet easy to use APK reverse-engineering tool written in C++/Qt.

- [Website](https://qwertycube.com/apk-editor-studio/)
- [Download](https://qwertycube.com/apk-editor-studio/download/)
- [Donate](https://qwertycube.com/donate/)
- [Issues](https://github.com/kefir500/apk-editor-studio/issues)

## Downloads

- [Latest stable release](https://qwertycube.com/apk-editor-studio/download/)
- [Latest unstable build](https://github.com/kefir500/apk-editor-studio/releases/tag/development)
- [Other releases](https://github.com/kefir500/apk-editor-studio/releases)

## Features

- Resource Manager
- Icon Editor
- Title Editor
- Image Editor
- Code Editor
- Manifest Editor
- Permission Editor
- Android Explorer
- Signature Viewer
- APK Cloner
- APK Signer
- APK Optimizer
- APK Installer

## Compilation

Follow the [compilation guide](COMPILATION.md) if you want to manually build APK Editor Studio from source.

## Translation

To improve the crowdsourcing experience for non-developers, this project is translated
on [Transifex](https://www.transifex.com/qwertycube/apk-editor-studio/).
Please follow the [translation instructions](https://github.com/kefir500/apk-editor-studio/wiki/Translation-Guide)
and avoid direct editing of the language files in this repo.

## Third-Party Components

- [Apktool](https://github.com/iBotPeaches/Apktool)
- [KSyntaxHighlighting](https://invent.kde.org/frameworks/syntax-highlighting)
- [QtKeychain](https://github.com/frankosterfeld/qtkeychain)
- [SingleApplication](https://github.com/itay-grudev/SingleApplication)
- [DarkStyle](https://github.com/Jorgen-VikingGod/Qt-Frameless-Window-DarkStyle)
- [Android SDK Tools](https://android.googlesource.com)

## Notice

The repacked APK files should not violate the original licenses.
